## subscription-manager-1.28.36.tar.gz.2af8e00daf94f558cb84faac64df3ce4

=== cockpit/Makefile ===
# one example file in src/lib to check if it was already checked out
LIB_TEST=src/lib/cockpit-po-plugin.js

all: $(LIB_TEST)
	NODE_ENV=$(NODE_ENV) npm run build

clean:
	rm -rf dist/
	rm -rf _install

install: all
	mkdir -p /usr/share/cockpit/subscription-manager
	cp -r dist/* /usr/share/cockpit/subscription-manager

# when building a distribution tarball, call webpack with a 'production' environment
dist-gzip: NODE_ENV=production
dist-gzip: clean all
	mkdir -p _install/usr/share/cockpit
	cp -r dist/ _install/usr/share/cockpit/subscription-manager
	mkdir -p _install/usr/share/metainfo/
	cp *.metainfo.xml _install/usr/share/metainfo/
	(cd _install; find -type f) | tar -C _install/ --mtime "$(stat -c '%Y' package.json)" --owner root --group root -cf subscription-manager-cockpit.tar -T -
	gzip -n subscription-manager-cockpit.tar
	rm -rf _install

srpm: dist-gzip
	rpmbuild -bs \
	  --define "_sourcedir `pwd`" \
	  --define "_srcrpmdir `pwd`" \
	  subscription-manager-cockpit.spec

rpm: dist-gzip
	mkdir -p "`pwd`/output"
	mkdir -p "`pwd`/rpmbuild"
	rpmbuild -bb \
	  --define "_sourcedir `pwd`" \
	  --define "_specdir `pwd`" \
	  --define "_builddir `pwd`/rpmbuild" \
	  --define "_srcrpmdir `pwd`" \
	  --define "_rpmdir `pwd`/output" \
	  --define "_buildrootdir `pwd`/build" \
	  subscription-manager-cockpit.spec
	find `pwd`/output -name '*.rpm' -printf '%f\n' -exec mv {} . \;
	rm -r "`pwd`/rpmbuild"

# checkout Cockpit's PF/React/build library; again this has no API stability guarantee, so check out a stable tag
$(LIB_TEST):
	git clone -b 253 --depth=1 https://github.com/cockpit-project/cockpit.git tmp/cockpit
	mv tmp/cockpit/pkg/lib src/
	rm -rf tmp/cockpit

=== src/dnf-plugins/product-id/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

project(product-id C)

include(GNUInstallDirs)

# Warn user because CLion is upset by in source builds
MACRO(MACRO_ENSURE_OUT_OF_SOURCE_BUILD MSG)
    STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}"
    "${CMAKE_BINARY_DIR}" insource)
    GET_FILENAME_COMPONENT(PARENTDIR ${CMAKE_SOURCE_DIR} PATH)
    STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}"
    "${PARENTDIR}" insourcesubdir)
    IF(insource OR insourcesubdir)
        MESSAGE(WARNING "${MSG}")
    ENDIF(insource OR insourcesubdir)
ENDMACRO(MACRO_ENSURE_OUT_OF_SOURCE_BUILD)

MACRO_ENSURE_OUT_OF_SOURCE_BUILD(
"${CMAKE_PROJECT_NAME} requires an out of source build. Delete all CMake generated files or CLion won't work."
)

set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_STANDARD 11)

#ADD_COMPILE_OPTIONS(-Wall -fPIC -g -Wl,as-needed)

# Build type
if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    message(STATUS "Setting build type to 'Debug' as none was specified.")
    set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
    # Set the possible values of build type for cmake-gui
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
endif ()

if (CMAKE_COMPILER_IS_GNUCC)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fPIC -Wextra -pedantic -Wno-long-long -std=c99")
    if (CMAKE_BUILD_TYPE STREQUAL "Debug")
        set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ggdb -O0 --coverage")
    elseif( CMAKE_BUILD_TYPE STREQUAL "Release" )
        set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNDEBUG -g -O3 -fno-strict-aliasing")
    endif ()
endif (CMAKE_COMPILER_IS_GNUCC)

find_package(PkgConfig REQUIRED)
pkg_check_modules(GLIB REQUIRED glib-2.0>=2.44.0)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.54.3)
pkg_check_modules(LIBDNF REQUIRED libdnf>=0.22.0)
pkg_check_modules(ZLIB REQUIRED zlib>=1.2.0)
pkg_check_modules(OPENSSL libcrypto libssl REQUIRED)
pkg_check_modules(JSONC json-c REQUIRED)

# Copy ./test_data directory to ${PROJECT_BINARY_DIR}
file (COPY "${PROJECT_SOURCE_DIR}/test_data/corrupted_compressed_productid.pem.gz"
        DESTINATION "${PROJECT_BINARY_DIR}/test_data/")
file (COPY "${PROJECT_SOURCE_DIR}/test_data/59803427316a729fb1d67fd08e7d0c8ccd2a4a5377729b747b76345851bdba6c-productid.gz"
        DESTINATION "${PROJECT_BINARY_DIR}/test_data/")
file (COPY "${PROJECT_SOURCE_DIR}/test_data/cert_dir/71.pem"
        DESTINATION "${PROJECT_BINARY_DIR}/test_data/cert_dir/")

include_directories(${GLIB_INCLUDE_DIRS})
include_directories(${GIO_INCLUDE_DIRS})
include_directories(${LIBDNF_INCLUDE_DIRS})
include_directories(${ZLIB_INCLUDE_DIRS})
include_directories(${OPENSSL_INCLUDE_DIR})
include_directories(${JSONC_INCLUDE_DIR})

add_library(product-id SHARED product-id.c util.c productdb.c test-product-id.c)

# Don't put "lib" on the front
set_target_properties(product-id PROPERTIES PREFIX "")

target_link_libraries(product-id
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
    ${LIBDNF_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${OPENSSL_LIBRARIES}
    ${JSONC_LIBRARIES}
)

# Note: libdnf use "hardcoded" directory /usr/lib64/libdnf/plugins for searching
# libdnf plugins. This directory cannot be changed by any configuration file ATM.
# It can be changed only during building of libdnf using CMAKE_INSTALL_FULL_LIBDIR
install(TARGETS product-id LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/libdnf/plugins)

enable_testing()

# Testing of productdb
add_executable(test-productdb test-productdb.c)
target_link_libraries(test-productdb product-id)
add_test(productdb test-productdb)

# Testing of product-id
add_executable(test-product-id test-product-id.c)
target_link_libraries(test-product-id product-id)
add_test(product-id test-product-id)

=== contrib/debian/changelog ===
subscription-manager (1.25.1-2) unstable; urgency=medium

  * Change the path to rhsmd in /etc/cron.daily/rhsmd

 -- Bernhard Suttner <suttner@atix.de>  Fri, 07 Jun 2019 14:45:00 +0100

subscription-manager (1.25.1-1) unstable; urgency=medium

  * Use the latest upstream release

 -- Quirin Pamp <pamp@atix.de>  Wed, 03 Apr 2019 17:16:15 +0100

subscription-manager (1.20.7-2) unstable; urgency=medium

  * Fix package-upload script for Ubuntu 16.04

 -- Markus Bucher <bucher@atix.de>  Mon, 15 Oct 2018 10:12:00 +0100

subscription-manager (1.20.7-1) unstable; urgency=medium

  * Initial packaging attempts

 -- Matthias Dellweg <dellweg@atix.de>  Wed, 06 Dec 2017 13:49:53 +0100

=== contrib/debian/control ===
Source: subscription-manager
Section: unknown
Priority: optional
Maintainer: Matthias Dellweg <dellweg@atix.de>
#Build-Depends: debhelper (>= 9), dh-python, libglib2.0-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libnotify-dev, lsb-release, pkg-config, python-all, python-setuptools, python3-all, python3-setuptools, intltool, python-dbus, python3-dbus, python-kitchen, python3-kitchen, python-flake8, python3-flake8, python-freezegun, python3-freezegun, python-polib, python3-polib, python-coverage, python3-coverage, python-dev, python3-dev, libssl-dev
Build-Depends: debhelper (>= 9), dh-python, libglib2.0-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libnotify-dev, lsb-release, pkg-config, python-all, python-setuptools, intltool, python-dbus, python-kitchen, python-flake8, python-freezegun, python-polib, python-coverage, python-dev, libssl-dev
Standards-Version: 3.9.8
Homepage: https://github.com/candlepin/subscription-manager
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
#Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/subscription-manager.git
#Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/subscription-manager.git/
#Testsuite: autopkgtest-pkg-python

Package: python-subscription-manager
Architecture: amd64
Depends: ${python:Depends}, ${misc:Depends}, python-dbus, python-rpm, virt-what, python-debian, python-gobject, python-decorator
Description: RHSM subscription-manager (Python 2)
 .
 RHSM is client side software that allows hosts to register with Red Hat
 subscription management services. In particular, this package is intended to
 enable Debian and Ubuntu hosts to register with the Foreman/Katello content
 management system.
 .
 This package installs the library for Python 2.

#Package: python3-subscription-manager
#Architecture: amd64
#Depends: ${python3:Depends}, ${misc:Depends}, virt-what
#Description: RHSM subscription-manager (Python 3)
# .
# RHSM is client side software that allows hosts to register with Red Hat
# subscription management services. In particular, this package is intended to
# enable Debian and Ubuntu hosts to register with the Foreman/Katello content
# management system.
# .
# This package installs the library for Python 3.

Package: apt-transport-katello
Architecture: all
Depends: python-requests
Description: Katello transport plugin for apt
 This apt-transport allows to retrieve Packages though subscriptions
 from a katello server.
 .
 The corresponding URIs in /etc/apt/sources.list start with 'katello://'.

Package: katello-upload-profile
Architecture: all
Depends: httpie, jq, python-subscription-manager
Description: deb_package_profile_upload for katello
 This package contains a script that tells a configured katello server
 the new installed package profile after every changing apt command.

=== contrib/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=subscription-manager
export PYBUILD_DISABLE=test

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2 --buildsystem=pybuild
# 	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

override_dh_auto_build:
	make -f Makefile GTK_VERSION=2 OS_DIST=debian PREFIX=/usr

override_dh_auto_install:
	make -f Makefile install GTK_VERSION=2 OS_DIST=debian PREFIX=/usr DESTDIR=debian/python-subscription-manager
	sed -i -e '/dbus-python/d' debian/python-subscription-manager/usr/lib/python2.7/site-packages/subscription_manager-*.egg-info/requires.txt

override_dh_auto_test:
